System.register(['src/components/halo/lively-halo-item.js', 'src/client/morphic/component-loader.js'], function (_export, _context) {
  "use strict";

  var HaloItem, componentLoader;
  return {
    setters: [function (_srcComponentsHaloLivelyHaloItemJs) {
      HaloItem = _srcComponentsHaloLivelyHaloItemJs.default;
    }, function (_srcClientMorphicComponentLoaderJs) {
      componentLoader = _srcClientMorphicComponentLoaderJs.default;
    }],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_components_halo_lively_halo_inspect_item_js = _recorder_._src_components_halo_lively_halo_inspect_item_js || {};
      Object.defineProperty(_recorder_._src_components_halo_lively_halo_inspect_item_js, 'HaloItem', {
        get() {
          return HaloItem;
        },

        set(thisIsVererySecretVariableName) {
          HaloItem = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });
      Object.defineProperty(_recorder_._src_components_halo_lively_halo_inspect_item_js, 'componentLoader', {
        get() {
          return componentLoader;
        },

        set(thisIsVererySecretVariableName) {
          componentLoader = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });
      class HaloInspectItem extends HaloItem {

        onClick(evt) {
          var inspectTarget = window.that;

          if (evt.shiftKey) {
            lively.openComponentInWindow('lively-object-editor').then(editor => {
              editor.targetElement = inspectTarget;
            });
          } else {
            lively.openInspector(inspectTarget);
          }
          this.hideHalo();
        }
      }

      _export('default', HaloInspectItem);

      Object.defineProperty(_recorder_._src_components_halo_lively_halo_inspect_item_js, 'HaloInspectItem', {
        get() {
          return HaloInspectItem;
        },

        set(thisIsVererySecretVariableName) {
          _export('default', HaloInspectItem = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
    }
  };
});